data simdat (drop=i);
 do s=1 to 1000;
  do i=1 to 65;
   do gruppe=1 to 3;
    y=(gruppe-1)/10+sqrt(0.1)*normal(1);
    output;
   end;
  end;
 end;
run;

proc glm data=simdat outstat=pwerte noprint;
 class gruppe;
 model y=gruppe;
 by s;
run;

proc summary data=pwerte;
 var prob;
 where _type_='SS3';
 output out=niveau p90=p90;
run;
quit;

/* Ergebnis: Das 90%-Quantil der p-Werte betrgt tatschlich ca. 0.05,
d.h. Test lehnt in ca. 10% der Flle ab.*/