data a (drop=i);
 do i=1 to 200;
  x=1/20+ranexp(1)*4;
  output;
 end;
run;

data b;
 set a;
 x=floor(x);
run;

proc freq data=b;
 tables x / out=c noprint;
run;

proc kde data=a out=d method=srot;
 var x;
run;

data e;
 merge c d;
 by x;
 z=percent/100;
run;

proc gplot data=e;
 symbol1 i=j c=black;
 symbol2 i=stepj c=black;
 plot density*x=1 z*x=2 /overlay;
run;
quit;