data a;
 input id einwohner;
 datalines;
 1 301.7
 2 6081.2
 3 172.2
 4 3233.9
 5 1471.9
 6 472.6
 7 4487.0
 8 1715.3
 ;
run;

pattern1 c=deb v=solid; 
pattern2 c=vib v=s;     
pattern3 c=stb v=solid;
pattern4 c=lib v=solid;
pattern5 c=blue v=solid;
pattern6 c=vligb v=solid;
pattern7 c=pab v=solid;
pattern8 c=vpab v=solid;

legend1 across=2 down=4 value=(f=swiss h=.8) label=(f=swiss h=1.0 'Einwohner') frame position=(bottom left inside);
title f=swiss h=2.5 'Einwohner in Australien 1995';
proc gmap data=a map=maps.austral all;
id id;
choro einwohner /coutline=black midpoints=(100 300 500 1100 2000 3000 3650 6000) legend=legend1;
run;
