proc format;
 value zeitform 1="morgens" 2="vormittags" 3="nachmittags" 4="abends" 5="nachts";
run;

data newyork;
 format z zeitform.;
 set sas.newyork;
 if 6<=hour<=8 then z=1;  
 else if 9<=hour<=12 then z=2; 
 else if 13<=hour<=16 then z=3; 
 else if 17<=hour<=22 then z=4; 
 else z=5;   
run;

proc sort data=newyork;
 by z;
run;

proc means data=newyork q1 median q3;
 var co;
 class z;
 output out=tagesgang mean=mittel stddev=standabw;
run;

proc boxplot data=newyork;
 plot co*z;
run;
quit;