libname sas 'd:\benutzer\tschiersch\buch\daten\';

data newyork;
set sas.newyork;
if day="Fri" or day="Sat" or day="Sun" then class="weekend";
else class="week";
run;

goptions reset=all keymap=winansi devmap=winansi;
proc capability data=newyork noprint;
comphistogram co / class=class;
inset n mean="Mittel" var="Varianz" / pos=ne;
title1 "nderung der CO-Konzentration";
title2 font=swiss "Mit Angabe von" 
       font=greek " m " 
       font=swiss "von und"
       font=greek " s"
       font=swiss height=0.7 move=(+0,+0.4) "2" 
                  height=1 move=(+0,-0.4) " fr beide Gruppen";
run;
quit;

 /* ACHTUNG: Der Leser kennt COMPHISTOGRAM gar nicht. ENtweder als Hinweis einfgen, 
oder die Aufgabe ndern.*/
