/* 
Simulieren Sie mit nachstehendem DATA-Step den Datensatz \texttt{Multi}.
Berechnen Sie fr die Regression von \texttt{x1}, \texttt{x2} und \texttt{x3} 
auf \texttt{y} den Konditionskoeffizienten. Ist hier von Multikollinearitt
auszugehen? 

Berechnen Sie fr $k$ zwischen 0,002 und 0,1 (Schrittweite 0,002) jeweils die 
Ridge-Parameterschtzer. Fr welchen Wert von $k$ liegen die Schtzwerte zu 
den wahren Parametern (siehe Datenerzeugung) am nchsten?
*/


data Multi;
 do i=1 to 100;
  x1=ranbin(1,16,0.6);
  x2=ranbin(1,20,0.4);
  x3=4+x1-x2+ranbin(1,4,0.5);
  y=2+x1+x2+x3+normal(1)*3;
  output;
 end;
run;

proc reg data=multi ridge=(0.002 to 0.1 by 0.002) outest=ridge;
 model y=x1 x2 x3 / collin;
run;
quit;