DATA css;
 DO i=0 TO 0.2 BY 0.01;
  css=2/3*(i**2-0.2*i+0.04);
  OUTPUT;
 END;
RUN;

PROC SUMMARY DATA=css;
 VAR css;
 OUTPUT OUT=css_min MIN=css;
RUN;

DATA Fallzahl (KEEP=i n);
 SET css_min;
 LABEL i='Gruppenumfang' n='Gesamtumfang';
 RETAIN i 1 hilf 1;
 k=3;
 DO UNTIL (hilf<0.1);
  i=i+1;
  hilf=PROBF(FINV(0.95,k-1,k*(i-1)),k-1,k*(i-1),i*css/0.1);
  n=i*k;
 END;
RUN;