data arma (keep=x i);
 retain e1 0 x1 0 x2 0;
 do i=-200 to 200;
  e=normal(1);
  x=0.7*x1+0.2*x2-0.4*e1+e;
  e1=e;
  x2=x1;
  x1=x;
  if i>0 then output;
 end;
run;

PROC SPECTRA DATA=Arma P S OUT=Spektrum CENTER;
 VAR x;
 WEIGHTS 1 2 4 2 1;
RUN;

symbol i=j c=black;
axis1 order=(0 to 3.1416 by 0.7854);

proc gplot data=SPektrum;
plot p_01*freq s_01*freq / haxis=axis1;
run;