DATA Bundestagswahl;
 INPUT Partei $ Anteil;
 DATALINES;
  SPD 38.5
  CDU 38.5
  FDP 7.4
  GRUENE 8.6
  PDS 4.0
  ANDERE 3.0
 ;
RUN;
PATTERN1 color=gray;
PATTERN2 color=black;
PATTERN3 color=yellow;
PATTERN4 color=green;
PATTERN5 color=purple;
PATTERN6 color=red;

title f=swiss h=1.6 'Zweitstimmenergebnis der Bundestagswahl 2002';
proc gchart data=Bundestagswahl;
pie Partei /sumvar=Anteil type=percent noheading percent=arrow value=none slice=arrow
            angle=180 ascending explode='ANDERE' other=3 fill=solid ;
run;
quit;