data Medi;
 do i=1 to 30;
  gruppe=1-round(i/21);
  d_gewicht=round(normal(1)-(1-gruppe)/2-0.3,0.01);
  output;
 end;
run;

proc ttest;
 class gruppe;
 var d_gewicht;
run;

/* Ergebnis:
   p-Wert des F-Test: 0.6012 (d.h. Voraussetzung fr 2-SP-t-Test erfllt)
   p-Wert des 2-SP-t-Test: 0.0689
   ACHTUNG: die Alternative in der Aufgabenstellung ist EINseitig, d.h.
   die Testentscheidung lautet H0 abzulehnen, wenn p-Wert < 0.1 (=2*0.05)
   und t Value < 0 - das ist hier erfllt, somit wird H0 abgelehnt
*/