data zement;
input y x1 x2 x3 x4;
label y='Wrmeausstoss' x1='Tricalcium Aluminat' x2='Tricalcium Silikat'
      x3='Tetracalcium Aluminat' x4='Dicalcium Silikat';
datalines;
78.5 7 26 6 60
74.3 1 29 15 52
104.3 11 56 8 20
87.6 11 31 8 47
95.9 7 52 6 33
109.2 11 55 9 22
102.7 3 71 17 6
72.5 1 31 22 44
93.1 2 54 18 22
115.9 21 47 4 26
83.8 1 40 23 34
113.2 11 66 9 12
109.4 10 68 8 12
;
run;

proc reg data=zement;
model y=x1 x2 x3 x4 /selection=backward sls=.05;
output out=norm r=residuen p=ydach;
run;

proc univariate data=norm normal;
var residuen;
qqplot residuen /normal(color=blue mu=est sigma=est);
run;
quit;

/* Alternative mit RSQUARE-Selektion 
   Whle beispielsweise das Modell mit dem kleinsten SBC */
proc reg data=zement;
model y=x1 x2 x3 x4 /selection=rsquare aic sbc adjrsq mse b best=6 start=1 stop=4;
run;
quit;


